Summary: The Postfix mailer daemon
Name: postfix
Version: 2.1.6
Release: 1tr
License: IBM Public Licence
Group: Trustix Official
Source: ftp://ftp.sunet.se/pub/unix/mail/postfix/official/postfix-%{version}.tar.gz
Source1: postfix-main.cf
Source2: postfix-init
Source4: postfix-master.cf
Source5: postfix-transport
Source6: postfix-dynupdate
Source8: postfix-sasl
Source9: postfix-pam
Source10: postfix-2.1.5-dynamicmaps.cf
Patch0: http://www.ipnet6.org/postfix/download/tls+ipv6-1.25-pf-2.1.5.patch.gz
Patch1: postfix-1.1.2-contrib.patch
Patch2: postfix-1.1.11-20020822-nosmtpstone.patch
Patch3: postfix-1.1.11-20020822-rmail.patch
Patch4: postfix-1.1.4-mailname.patch
Patch5: postfix-2.1.5-dynamicmaps.patch
Patch6: postfix-2.1.5-trustix.patch
Patch7: postfix-2.1.5-sasl-postfix.patch
URL: http://www.postfix.org
BuildRoot: /var/tmp/%{name}-root
PreReq: %{name}-conf chkconfig tsl-utils
BuildRequires: openssl-devel >= 0.9.7c
BuildRequires: cyrus-sasl-devel
BuildRequires:  mysql-devel, postgresql-devel >= 7.4-1tr, openldap-devel
BuildRequires:  pcre-devel, db4-devel, zlib-devel
Requires: findutils, db4, zlib
# only needs /usr/bin/cmp from diffutils
Requires: /usr/bin/cmp
Requires: openssl >= 0.9.7c
Provides: smtpdaemon
Provides: /usr/sbin/sendmail

%description
Postfix is an alternative to the sendmail mailer daemon. Postfix attempts
to be fast, easy to administer, and secure, while at the same time being
sendmail compatible enough to not upset existing users.

This version comes with the following additional features:
- SASL to support user authentication.
- PCRE features, you need the postfix-pcre package.
- dynamic maps to loading additional features at run time. 
  Just install some additional postfix-foo packages.

%package conf
Summary: Config files for Postfix
Group: Trustix Official
Requires: postfix = %{version}

%description conf
Config files for Postfix.

%package mysql
Summary: dynamic Postfix map: mysql
Group: Trustix Official
PreReq: mysql-libs, postfix = %{version}-%{release}

%description mysql
Adds mysql support to a Postfix with dynamic map support.

%package pgsql
Summary: dynamic Postfix map: pgsql
Group: Trustix Official
PreReq: postgresql-libs >= 7.4-1tr, postfix = %{version}-%{release}

%description pgsql
Adds postgresql support to a Postfix with dynamic map support.

%package ldap
Summary: dynamic Postfix map: ldap
Group: Trustix Official
PreReq: openldap, postfix = %{version}-%{release}

%description ldap
Adds (open)ldap support to a Postfix with dynamic map support.

%package pcre
Summary: dynamic Postfix map: pcre
Group: Trustix Official
PreReq: pcre, postfix = %{version}-%{release}

%description pcre
Adds PCRE (perl compatible regular expressions) support to a Postfix
with dynamic map support.

%package rmail
Summary: UUCP mail receive
Group: Trustix Official
Requires: postfix = %{version}

%description rmail
interprets incoming mail received via uucp


%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1


%build
# clean old target dir
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

make makefiles \
	DEBUG="" \
	OPT="-O3" \
	CCARGS="$RPM_OPT_FLAGS -I/usr/include \
	-DHAS_SSL -I/usr/include/openssl \
	-DUSE_SASL_AUTH -I/usr/include/sasl \
	-DMAX_DYNAMIC_MAPS \
	-DHAS_MYSQL -I/usr/include/mysql \
	-DHAS_PGSQL -I/usr/include/postgresql \
	-DHAS_LDAP \
	-DHAS_DLOPEN \
	-DHAS_PCRE -I/usr/include/pcre \
	" AUXLIBS="-lz -lm -lssl -lcrypto -lsasl2 -lz -lpam -lpthread" 
cd lib 
for i in dns global master util; do 
	ln -fs lib$i.a libpostfix-$i.so.1;
done
cd ..
make LD_LIBRARY_PATH=`pwd`/lib

%install
make upgrade \
    install_root="${RPM_BUILD_ROOT}" \
    config_directory="%{_sysconfdir}/postfix" \
    daemon_directory="%{_libdir}/postfix" \
    command_directory="%{_sbindir}" \
    queue_directory="%{_localstatedir}/spool/postfix" \
    sendmail_path="%{_sbindir}/sendmail" \
    newaliases_path="%{_sbindir}/newaliases" \
    mailq_path="%{_bindir}/mailq" \
    mail_owner="postfix" \
    setgid_group="postdrop" \
    manpage_directory="%{_mandir}" \
    sample_directory="%{_docdir}/%{name}-%{version}/conf" \
    readme_directory="%{_docdir}/%{name}-%{version}" \
    LD_LIBRARY_PATH=`pwd`/lib

install -d -m 755 $RPM_BUILD_ROOT/etc/postfix
install -d -m 755 $RPM_BUILD_ROOT%{_initdir}

# Install the different sources
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/main.cf
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_initdir}/postfix
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/master.cf
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/transport
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%{_sysconfdir}/postfix/dynamicmaps.cf
$RPM_BUILD_ROOT/usr/sbin/postmap -c $RPM_BUILD_ROOT%{_sysconfdir}/postfix \
	$RPM_BUILD_ROOT%{_sysconfdir}/postfix/transport
sed -e 's|@SYSCONFDIR@|%{_sysconfdir}|g' \
    -e 's|@INITDIR@|%{_initdir}|g' \
    -e 's|@DOCDIR@|%{_docdir}|g' \
    -e 's|@LIBDIR@|%{_libdir}|g' \
    -e 's|@NAME@|%{name}|g' \
    -e 's|@VERSION@|%{version}|g' %{SOURCE6} > postfix-dynupdate
install -m 755 postfix-dynupdate $RPM_BUILD_ROOT%{_sysconfdir}/postfix/

touch $RPM_BUILD_ROOT/etc/postfix/prng_exch
chmod 0600 $RPM_BUILD_ROOT/etc/postfix/prng_exch

#install postfix dynamic libs
install lib/*.so.1 $RPM_BUILD_ROOT%{_libdir}
install lib/dict*  $RPM_BUILD_ROOT%{_libdir}/postfix/

# install rmail
install -m 755 bin/rmail $RPM_BUILD_ROOT%{_bindir}
install -m 644 rmail/rmail.8 $RPM_BUILD_ROOT%{_mandir}/man8/

# Fix postfix-files to make "post-install upgrade-package" work.
perl -pi -e 's/(\.[1-8]):/\1.gz:/' "$RPM_BUILD_ROOT%{_sysconfdir}/postfix/postfix-files"
cat >> "$RPM_BUILD_ROOT%{_sysconfdir}/postfix/postfix-files" << EOF
\$daemon_directory/dict_sdbm.so:f:root:-:755
\$daemon_directory/dict_tcp.so:f:root:-:755
%{_libdir}/libpostfix-dns.so.1:f:root:-:755
%{_libdir}/libpostfix-global.so.1:f:root:-:755
%{_libdir}/libpostfix-master.so.1:f:root:-:755
%{_libdir}/libpostfix-util.so.1:f:root:-:755
\$config_directory/dynamicmaps.cf:f:root:-:644:p
EOF
TMPFILE=`mktemp /tmp/postfix.XXXXXX`
egrep -v "config_directory/LICENSE:f:root:-:644|manpage_directory/man5/mysql_table.5|manpage_directory/man5/pcre_table.5|manpage_directory/man5/pgsql_table.5|manpage_directory/man5/ldap_table.5" < \
    "$RPM_BUILD_ROOT%{_sysconfdir}/postfix/postfix-files" > \
    $TMPFILE
cat $TMPFILE > "$RPM_BUILD_ROOT%{_sysconfdir}/postfix/postfix-files"
rm $TMPFILE

# overwite the links with the files
rm -f README_FILES/{RELEASE_NOTES,INSTALL}
cp -a INSTALL RELEASE_NOTES README_FILES

# install config files
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/{pam.d,sasl}
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/%{_sysconfdir}/sasl/postfix.conf
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/postfix


%pre
if [ -x /etc/init.d/postfix ]; then
	/etc/init.d/postfix stop >/dev/null 2>&1 || :
fi
# Dynamically add the postfix user BEFORE installing package
if [ -z "`getent group postfix`" ]; then
        /usr/sbin/groupadd -g 102 postfix
fi
if [ -z "`getent group postdrop`" ]; then
        /usr/sbin/groupadd -g 107 postdrop
fi
if [ -z "`getent passwd postfix`" ]; then
        /usr/sbin/useradd -d /no/dir -s /no/shell \
        -g postfix -u 102  postfix
fi


%post
# This is highly unusual in Trustix.  Needed to get mail queues running.
# Also note that the default config file only listens to loopback interface.
chkconfig --add postfix
chkconfig postfix on
/etc/postfix/postfix-dynupdate normal
/etc/postfix/post-install upgrade-source
if [ "$1" = 2 ]; then
  /etc/init.d/postfix start >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ]; then
    /etc/init.d/postfix stop 2>/dev/null || :
    chkconfig --del postfix || :
fi

%postun
#refresh dynamic libraries
ldconfig

%pre mysql
/etc/init.d/postfix stop >/dev/null 2>&1 || :


%post mysql
/etc/postfix/postfix-dynupdate mysql-post >/dev/null 2>&1 || :
if [ "$1" = 2 ]; then
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%preun mysql
if [ $1 = 0 ]; then
  /etc/init.d/postfix stop >/dev/null 2>&1 || :
fi

%postun mysql
if [ $1 = 0 ]; then
  /etc/postfix/postfix-dynupdate mysql-postun >/dev/null 2>&1 || :
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%pre pgsql
/etc/init.d/postfix stop >/dev/null 2>&1 || :

%post pgsql
/etc/postfix/postfix-dynupdate pgsql-post >/dev/null 2>&1 || :
if [ "$1" = 2 ]; then
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%preun pgsql
if [ $1 = 0 ]; then
  /etc/init.d/postfix stop >/dev/null 2>&1 || :
fi

%postun pgsql
if [ $1 = 0 ]; then
  /etc/postfix/postfix-dynupdate pgsql-postun >/dev/null 2>&1 || :
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%pre ldap
/etc/init.d/postfix stop >/dev/null 2>&1 || :

%post ldap
/etc/postfix/postfix-dynupdate ldap-post >/dev/null 2>&1 || :
if [ "$1" = 2 ]; then
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%preun ldap
if [ $1 = 0 ]; then
  /etc/init.d/postfix stop >/dev/null 2>&1 || :
fi

%postun ldap
if [ $1 = 0 ]; then
  /etc/postfix/postfix-dynupdate ldap-postun >/dev/null 2>&1 || :
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%pre pcre
/etc/init.d/postfix stop >/dev/null 2>&1 || :

%post pcre
/etc/postfix/postfix-dynupdate pcre-post >/dev/null 2>&1 || :
if [ "$1" = 2 ]; then
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%preun pcre
if [ $1 = 0 ]; then
  /etc/init.d/postfix stop >/dev/null 2>&1 || :
fi

%postun pcre
if [ $1 = 0 ]; then
  /etc/postfix/postfix-dynupdate pcre-postun >/dev/null 2>&1 || :
  /sbin/restart_maybe postfix >/dev/null 2>&1 || :
fi

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,0755)
%doc html 
%doc conf
%doc AAAREADME COMPATIBILITY HISTORY LICENSE INSTALL RELEASE_NOTES
%doc RELEASE_NOTES-* README_FILES/*
%doc postfix-contrib
%doc tls

%dir %attr(755,root,-) %{_libdir}/postfix
%attr(755,root,-) %{_libdir}/postfix/bounce
%attr(755,root,-) %{_libdir}/postfix/cleanup
%attr(755,root,-) %{_libdir}/postfix/dict_sdbm.so*
%attr(755,root,-) %{_libdir}/postfix/dict_tcp.so*
%attr(755,root,-) %{_libdir}/postfix/error
%attr(755,root,-) %{_libdir}/postfix/flush
%attr(755,root,-) %{_libdir}/postfix/lmtp
%attr(755,root,-) %{_libdir}/postfix/local
%attr(755,root,-) %{_libdir}/postfix/master
%attr(755,root,-) %{_libdir}/postfix/nqmgr
%attr(755,root,-) %{_libdir}/postfix/pickup
%attr(755,root,-) %{_libdir}/postfix/pipe
%attr(755,root,-) %{_libdir}/postfix/proxymap
%attr(755,root,-) %{_libdir}/postfix/oqmgr
%attr(755,root,-) %{_libdir}/postfix/qmgr
%attr(755,root,-) %{_libdir}/postfix/qmqpd
%attr(755,root,-) %{_libdir}/postfix/showq
%attr(755,root,-) %{_libdir}/postfix/smtp
%attr(755,root,-) %{_libdir}/postfix/smtpd
%attr(755,root,-) %{_libdir}/postfix/spawn
%attr(755,root,-) %{_libdir}/postfix/tlsmgr
%attr(755,root,-) %{_libdir}/postfix/trivial-rewrite
%attr(755,root,-) %{_libdir}/postfix/verify
%attr(755,root,-) %{_libdir}/postfix/virtual
%attr(755,root,-) %{_sbindir}/postalias
%attr(755,root,-) %{_sbindir}/postcat
%attr(755,root,-) %{_sbindir}/postconf
%attr(755,root,-) %{_sbindir}/postfix
%attr(755,root,-) %{_sbindir}/postkick
%attr(755,root,-) %{_sbindir}/postlock
%attr(755,root,-) %{_sbindir}/postlog
%attr(755,root,-) %{_sbindir}/postmap
%attr(755,root,-) %{_sbindir}/postsuper
%attr(2755,root,postdrop) %{_sbindir}/postdrop
%attr(2755,root,postdrop) %{_sbindir}/postqueue
%attr(755,root,-) %{_sbindir}/sendmail
%attr(755,root,-) %{_sbindir}/newaliases
%attr(755,root,-) %{_bindir}/mailq

%{_sysconfdir}/postfix/postfix-dynupdate
%attr(755,root,root) %{_initdir}/postfix
%dir %attr(755,root,-) %{_localstatedir}/spool/postfix
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/active
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/bounce
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/corrupt
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/defer
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/deferred
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/flush
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/hold
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/incoming
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/private
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/saved
%dir %attr(730,postfix,postdrop) %{_localstatedir}/spool/postfix/maildrop
%dir %attr(710,postfix,postdrop) %{_localstatedir}/spool/postfix/public
%dir %attr(755,root,-) %{_localstatedir}/spool/postfix/pid
%dir %attr(700,postfix,-) %{_localstatedir}/spool/postfix/trace

%attr(755,root,-) %{_libdir}/libpostfix-dns.so*
%attr(755,root,-) %{_libdir}/libpostfix-global.so*
%attr(755,root,-) %{_libdir}/libpostfix-master.so*
%attr(755,root,-) %{_libdir}/libpostfix-util.so*

%attr(644,root,-) %{_mandir}/man1/*

%attr(644,root,-) %{_mandir}/man5/access.5*
%attr(644,root,-) %{_mandir}/man5/aliases.5*
%attr(644,root,-) %{_mandir}/man5/body_checks.5*
%attr(644,root,-) %{_mandir}/man5/canonical.5*
%attr(644,root,-) %{_mandir}/man5/cidr_table.5*
%attr(644,root,-) %{_mandir}/man5/header_checks.5*
%attr(644,root,-) %{_mandir}/man5/postconf.5*
%attr(644,root,-) %{_mandir}/man5/regexp_table.5*
%attr(644,root,-) %{_mandir}/man5/relocated.5*
%attr(644,root,-) %{_mandir}/man5/transport.5*
%attr(644,root,-) %{_mandir}/man5/virtual.5*

%attr(644,root,-) %{_mandir}/man8/bounce.8*
%attr(644,root,-) %{_mandir}/man8/cleanup.8*
%attr(644,root,-) %{_mandir}/man8/defer.8*
%attr(644,root,-) %{_mandir}/man8/error.8*
%attr(644,root,-) %{_mandir}/man8/flush.8*
%attr(644,root,-) %{_mandir}/man8/lmtp.8*
%attr(644,root,-) %{_mandir}/man8/local.8*
%attr(644,root,-) %{_mandir}/man8/master.8*
%attr(644,root,-) %{_mandir}/man8/oqmgr.8*
%attr(644,root,-) %{_mandir}/man8/pickup.8*
%attr(644,root,-) %{_mandir}/man8/pipe.8*
%attr(644,root,-) %{_mandir}/man8/proxymap.8*
%attr(644,root,-) %{_mandir}/man8/qmgr.8*
%attr(644,root,-) %{_mandir}/man8/qmqpd.8*
%attr(644,root,-) %{_mandir}/man8/showq.8*
%attr(644,root,-) %{_mandir}/man8/smtp.8*
%attr(644,root,-) %{_mandir}/man8/smtpd.8*
%attr(644,root,-) %{_mandir}/man8/spawn.8*
%attr(644,root,-) %{_mandir}/man8/tlsmgr.8*
%attr(644,root,-) %{_mandir}/man8/trace.8*
%attr(644,root,-) %{_mandir}/man8/trivial-rewrite.8*
%attr(644,root,-) %{_mandir}/man8/verify.8*
%attr(644,root,-) %{_mandir}/man8/virtual.8*

%files conf
%defattr(-,root,root,0755)
%dir %attr(755,root,-) %{_sysconfdir}/postfix
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/access
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/aliases
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/canonical
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/header_checks
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/main.cf
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/master.cf
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/relocated
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/transport
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/virtual
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/postfix/dynamicmaps.cf
%attr(644,root,-) %{_sysconfdir}/postfix/main.cf.default
%attr(644,root,-) %{_sysconfdir}/postfix/postfix-files
%attr(755,root,-) %{_sysconfdir}/postfix/postfix-script
%attr(755,root,-) %{_sysconfdir}/postfix/post-install
%attr(644,root,-) %{_sysconfdir}/postfix/LICENSE
%attr(644,root,-) %{_sysconfdir}/postfix/makedefs.out
%ghost %attr(0600,root,root) %{_sysconfdir}/postfix/prng_exch
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/sasl/postfix.conf
%config(noreplace) %verify(not mtime size md5) %attr(644,root,-) %{_sysconfdir}/pam.d/postfix

%files mysql
%defattr(-,root,root,0755)
%attr(644,root,-) %{_mandir}/man5/mysql_table.5*
%attr(755,root,-) %{_libdir}/postfix/dict_mysql.so*

%files pgsql
%defattr(-,root,root,0755)
%attr(644,root,-) %{_mandir}/man5/pgsql_table.5*
%attr(755,root,-) %{_libdir}/postfix/dict_pgsql.so*

%files ldap
%defattr(-,root,root,0755)
%attr(644,root,-) %{_mandir}/man5/ldap_table.5*
%attr(755,root,-) %{_libdir}/postfix/dict_ldap.so*

%files pcre
%defattr(-,root,root,0755)
%attr(755,root,-) %{_libdir}/postfix/dict_pcre.so*
%attr(644,root,-) %{_mandir}/man5/pcre_table.5*

%files rmail
%defattr(-,root,root,0755)
%attr(755,root,-) %{_bindir}/rmail
%attr(644,root,-) %{_mandir}/man8/rmail.8*

%changelog
* Tue Jul 26 2005 Nived Gopalan <nived at comodo dot com> 2.1.6-1tr
- New upstream

* Fri May 20 2005 Ajith Thampi <ajith at comodo dot com> 2.1.5-15tr
- postfix provides /usr/sbin/sendmail, Bug #673
		
* Fri Apr 22 2005 Ajith Thampi <ajith at comodo dot com> 2.1.5-14tr
- Rebuilt with postgresql-8.0.2

* Tue Apr 19 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.1.5-13tr
- Changed init priority to 80 20

* Thu Feb 24 2005 Erlend Midttun <erlendbm at trustix dot com> 2.1.5-12tr
- Fix pcre_table error message in postfix-dynupdate script.

* Tue Feb 22 2005 Erlend Midttun <erlendbm at trustix dot com> 2.1.5-11tr
- Fix mysql %postun script.  This would remove mysql support on upgrade.

* Fri Feb 18 2005 Erlend Midttun <erlendbm at trustix dot com> 2.1.5-10tr
- Rebuilt with new cyrus path.

* Tue Nov  9 2004 Oystein Viggen <oysteivi at trustix dot com> 2.1.5-9tr
- Rebuild with shared openssl

* Sun Nov  7 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-8tr
- Force define of DLOPEN

* Tue Oct 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-6tr
- Try to limit the dependencies.

* Tue Oct 19 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-5tr
- Now have config files in separate package.

* Fri Sep 24 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-4tr
- Fix postfix-dynupdate to also add/remove manpages.

* Fri Sep 24 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-3tr
- I want the verify.8 from postfix.  FreeSWAN is dying anyway.

* Fri Sep 24 2004 Syed Shabir <syedshabir at comodo dot com> 2.1.5-2tr
- Fixed conflict with /usr/share/man/man8/verify.8.gz installed by
- Freeswan package.

* Thu Sep 23 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1.5-1tr
- New upstream.
- Now only restart if upgrade.

* Sun Feb 29 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.18-4tr
- Try to figure out what dies in %%post.

* Sun Feb 29 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.18-3tr
- Added IPv6 patch.

* Tue Jan 27 2004 Erlend Midttun <erlendbm at trustix dot org> 2.0.18-1tr
- New upstream.

* Wed Dec 17 2003 Erlend Midttun <erlendbm at trustix dot org> 2.0.16-3tr
- /usr/include/pgsql -> /usr/include/postgresql
- Req posgresql-... >= 7.4-1tr

* Wed Nov 26 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.16-2tr
- Big rebuild

* Sun Oct 19 2003 Goetz Bock <bg at tawie dor org> 2.0.16-1bg
- new upstream: 2.0.16
- new version of tsl patch: 0.8.16
- only need /usr/bin/cmp, not diffutils

* Sun Sep 28 2003 Chr. Toldnes <christht at tawie dot org> 2.0.13-7tsl
- port to tawie

* Fri Aug 22 2003 Chr. Toldnes <christht at trustix dot com> 2.0.13-6tr
- Rebuild and retag

* Fri Aug 22 2003 Goetz Bock <bock at trustix dot org> 2.0.13-5bg
- added patch to have the sasl and pam config file called postfix, 
  instead of smtpd (patch15)

* Thu Aug 21 2003 Goetz Bock <bock at trustix dot org> 2.0.13-4bg
- shuffled patches: 12 -> 11; 11 -> 12
- fixed patch12 to search in /etc/sasl and /usr/lib/sasl2 for sasl 
  related files (replaces patch14 from gd)
- changed the authentication name for smtpd from "smtp" to "smtpd"
  (patch14)
- added sample sasl and pam config (source8, source9)

* Sun Aug 17 2003 Gerald Dachs <gda at trustix dot org> 2.0.13-3gd
- postfix looks now first in /usr/lib/sasl2 for sasl plugins (patch14)

* Fri Aug  1 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.13-2tr
- Try to fix the SASL problems.  Take II.

* Wed Jul 30 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.13-1tr
- Try to fix the SASL problems.

* Fri Jun 20 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.12-3tr
- Use restart_maybe and be silent about it.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.12-2tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.12-1em
- New upstream, fixes sasl issue.

* Tue Jun 17 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.10-5em
- Make init script quiet about newaliases.
- Now with %defattr.

* Thu Jun  5 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.10-4em
- Cleaned up init script.
- Hopefully seen the last of the stop/start mess.

* Tue Jun  3 2003 Chr. H. Toldnes <christht at trustix dot com> 2.0.10-3ct
- Minor initscript cleanup: separate /etc/postfix/postfix-script

* Wed May 28 2003 Tore Olsen <toreo at trustix dot com> 2.0.10-2to
- Revert to old-style initscript.
- Use %defattr

* Mon May 12 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.9-6em
- posftix -> postfix

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 2.0.9-5ct
- Removed postmap and newaliases in %post
- Added transport.db file from build
- Redirect output from newaliases in initscript to devnull

* Fri May  2 2003 Chr. H. Toldnes <christht at trustix dot com> 2.0.9-4ct
- added check to see if postfix initscript actually is present in %pre

* Tue Apr 29 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.9-3em
- Now use Maildir/
- Now use exit status in initscript.

* Mon Apr 28 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.9-2em
- Rebuilt against mysql 4.

* Tue Apr 22 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.9-1em
- New upstream.
- New uid/gid.

* Wed Apr  2 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.7-5em
- Cleaned up the mess.

* Tue Apr  1 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.7-4em
- Major rewrite.

* Tue Mar 25 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.7-3em
- Another rebuild.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.0.7-2em
- Rebuilt against glibc 2.3.2.

* Mon Mar 24 2003 Goetz Bock <bock at trustix dot org> postfix-2.0.7-1bg
- new upstream: 2.0.7
- moved sasldb to /etc/postfix/sasl/ (but /var/lib/sasl is checked, too)

* Thu Mar 11 2003 Goetz Bock <bock at trustix dot org> postfix-2.0.6-1bg
- new upstream: 2.0.6

* Wed Feb 26 2003 Goetz Bock <bock at trustix dot org> postfix-2.0.3-6bg
- fixed maincf patch to add inet_interfaces instead of inet_interface

* Thu Feb 26 2003 Goetz Bock <bock at trustix dot org> 2.0.3-5bg
- fixed type in postfix-pce postun script

* Sun Feb  2 2003 Goetz Bock <bock at trustix dot org> 2.0.3-4bg
- added missing build-requirements, thanks torh

* Sun Feb  2 2003 Goetz Bock <bock at trustix dot org> 2.0.3-3bg
- updated dynamic maps
- added post[un] scripts for dynamic maps

* Thu Jan 30 2003 Goetz Bock <bock at trustix dot org> 2.0.3-2bg
- updated init file
- added proxymap file (new in 2.0.3)

* Wed Jan 29 2003 Goetz Bock <bock at trustix dot org> 2.0.3-1bg
- new upstream version: 2.0.3

* Thu Jan 16 2003 Gerald Dachs <gda at trustix dot org> 2.0.2-1gd
- new upstream version

* Mon Jan 13 2003 Tor Hveem <torh at trustix dot org> 2.0.0.1-3th
- only bind to localhost

* Fri Jan 11 2003 Gerald Dachs <gda at trustix dot org> 2.0.0.1-2gd
- requires now diffutils (#5)
- updated pfixtls patch

* Tue Dec 24 2002 Gerald Dachs <gda at trustix dot org> 2.0.0.1-1gd
- new upstream version
- new tls patch modified to work with postfix 2.0.0.1
- modified patch 8 to work with postfix 2.0.0.1
- fixed perl statement that modifies postfix-files
- in _docdir was only dangeling links to INSTALL and RELASE_NOTES
- changed call of post-install so that the right sample_directory and 
  readme_directory during upgrade are used

* Fri Nov  8 2002 Erlend Midttun <erlendbm at trustix dot com> 1.1.11.20020928-4em
* Fix postfix-files to make "post-install upgrade-package" work.

* Tue Nov  5 2002 Erlend Midttun <erlendbm at trustix dot com> 1.1.11.20020928-3em
- Cleaned up init script.

* Mon Nov  4 2002 Erlend Midttun <erlendbm at trustix dot com> 1.1.11.20020928-2em
- Cleaned up init script.

* Sat Oct  5 2002 Gerald Dachs <gda at trustix dot org> 1.1.11.20020928-1gd
- new upstream version

* Thu Sep 12 2002 Erlend Midttun <erlendbm at trustix dot com>
- Changed -lsasl to -lsasl2.

* Wed Aug 28 2002 Chriatian H. Toldnes <christht at trustix dot com> 1.1.11.20020822-ct
- Added -I/usr/include/sasl to build with sasl
- Upgrade to snapshot 20020822 to build with sasl-2.x
- added -lpam and -lldap to AUXLIBS

* Wed Aug  7 2002 Chriatian H. Toldnes <christht at trustix dot com> 1.1.11-6ct
- Removed the user/group checks in %pre. Removed the need.

* Mon Aug  5 2002 Chriatian H. Toldnes <christht at trustix dot com> 1.1.11-5ct
- fixed logical error in %pre script

* Sun Aug  4 2002 Gerald Dachs <gda at trustix dot org> 1.1.11-4gd
- fixed syntax error in %pre script

* Fri Aug  2 2002 Christian H. Toldnes <christht at trustix dot com> 1.1.11-3ct
- Spec cleanups
- fixed better useradd and groupadd solutions
- /etc/init.d for TSL 2.0
- added -lz argument to AUXLIBS to build with sasl support

* Tue Jul 24 2002 Goetz Bock <bock at trustix dot org> 1.1.11-2bg
- require openssl >= ssl-version, not just ==
- removed all the nice buildtime configuration stuff, for a cleaner SPEC

* Sun Jun 09 2002 Goetz Bock <bock@trusitx.org> 1.1.11-1bg
- new upstream: 1.1.11

* Thu Apr 23 2002 Goetz Bock <bock@blacknet.de> 1.1.7-3bn
- fixed a typo in the requirements fixes.

* Mon Apr 15 2002 Goetz Bock <bock@blacknet.de> 1.1.7-2bn
- fixed some requirements.

* Sat Apr  6 2002 Goetz Bock <bock@blacknet.de> 1.1.7-1bn
- new upstream version: 1.1.7
- fixed file permission

* Sun Feb  3 2002 Goetz Bock <bock@blacknet.de> 1.1.2-1bn
- upgraded to postfix 1.1.2
- added postgresql support
- added rmail uucp receiver
- added dynamic maps support (thanks debian)
  
* Thu Jan  3 2002 Erlend Midttun <erlendbm at trustix dot com>
- Fixed system startup scripts.

* Wed Nov 21 2001 Christian H. Toldnes <christht at trustix dot com>
- Upgrade to pl08.

* Wed Oct 10 2001 Erlend Midttun <erlendbm at trustix dot com>
- Picked up pl05.
- Fixed permissions of maildrop.

* Thu Jun  7 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added pl03.

* Mon Apr 23 2001 Erlend Midttun <erlendbm at trustix dot com>
- Also include prng_exch so it will uninstall clean.

* Fri Apr 20 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added newaliases to startup script.

* Tue Mar  6 2001 Erlend Midttun <erlendbm at trustix dot com>
- Added TLS.

* Tue Mar  6 2001 Erlend Midttun <erlendbm at trustix dot com>
- Updated to the non-beta release 20010228.
- Now run setguid maildrop.
- Added the docs.

* Mon Jan 29 2001 Olaf Trygve Berglihn <olafb at trustix dot com>
- Fixed preun to only run chkconfig off and service stop if
  not upgrading.

* Sun Nov 26 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to pl11.

* Wed Oct  4 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added findutils as requirement.  (#65)

* Thu Sep 21 2000 Erlend Midttun <erlendbm at trustix dot com>
- Updated to pl09

* Thu Sep 14 2000 Per Ivar Paulsen <perp at trustix dot com>
- Added newaliases

* Fri Apr  7 2000 Stian Storengen Olsen <stiano at tihlde dot org>
- Added 'provides'
- Moved 'useradd' and 'groupadd' to %pre
- Changed 'chown' in %install from postfix.root to postfix.postfix

* Thu Mar  2 2000 Erlend Midttun <erlendbm at trustix dot com>
- Added spool dirs

* Wed Mar  1 2000 Lars Gaarden <larsg at trustix dot com>
- man pages moved to /usr/share/man
- makes /var/spool/postfix/maildrop correctly

